=== src/test/Makefile ===
all:
	$(MAKE) -C .. groestlcoin_test
clean:
	$(MAKE) -C .. groestlcoin_test_clean
check:
	$(MAKE) -C .. groestlcoin_test_check
