## groestlcoin 2.17.2~dfsg

=== debian/changelog ===
groestlcoin (2.17.2~dfsg-1) experimental; urgency=medium

  * Update watch file:
    + Generalize version mangling for repackaging.
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Update copyright info:
    + Remove contrib watch file when repackaging source.
    + Use https protocol in Format URL.
    + Drop superfluous alternate Source URL.
    + Extend coverage for main upstream authors.
    + Drop section for manpages no longer shipped upstream.
    + Update section for a changed path.
  * Declare compliance with Debian Policy 4.3.0.
  * Add bash-completion for groestlcoin-tx and groestlcoin-cli
    (in addition to groestlcoind).
    Fix suggest bash-completion.
  * Build-depend on python3 (not python).
  * Stop build-depend on libboost-program-options-dev.
  * Tighten to build-depend versioned on libunivalue-dev.
  * Update/unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Apr 2019 23:18:20 +0200

groestlcoin (2.16.3~dfsg-2) experimental; urgency=medium

  * Simplify rules: Stop resolve (build-)dependencies in rules file.
  * Mark build-dependencies unneeded when tests are skipped.
  * Stop build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Dec 2018 12:55:56 +0100

groestlcoin (2.16.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 19:14:01 +0200

groestlcoin (2.16.0+20180616~39a4d75~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release
    (previous release was a pre-release accidentally tagged as final).
  * Git snapshot
    + Fix non-DFSG files.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Stop track no longer shipped files.
    + Extend coverage for main upstream authors.
    + Update Files sections for images, now in the public domain.
  * Fix typo in watch file usage comment.
  * Stop build and package shared library groestlcoinconsensus:
    Apparently unused anywhere, and unstable API.
  * Declare compliance with Debian Policy 4.1.4.
  * Use https protocol with Homepage URL.
  * Use tracker.debian team email as Maintainer.
  * Update Vcs-* fields: Source moved to Salsa.
  * Stop generate manpages during build (for nowe):
    Manpages shipped upstream now.
  * Refresh patch 1003. Unfuzz all patches.
  * Update package relations:
    + Build-depend on libssl-dev (not libssl1.0-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Jun 2018 10:44:10 +0200

groestlcoin (2.16.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Expand list of main upstream authors.
    + Add file licensed Expat and BSD-3-Clause~Intel.
    + Extend coverage for myself.
  * Add patch 2002 to avoid tests requiring network access.
  * Unfuzz and restructure patches.
  * Declare compliance with Debian Policy 4.1.3.
  * Really stop build-depend (explicitly) on libtool automake autoconf
    (as intended in 2.13.3~dfsg-3).
  * Stop hack bitcoin-util-test.py during testsuite: No longer needed.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 21:18:01 +0100

groestlcoin (2.13.3~dfsg-3) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update watch file: Use substitution strings.
  * Tighten lintian overrides regarding License-Reference.
  * Fix stop mention get-orig-source target in README.source: Obsolete
    since 2.13.3~dfsg-1.
  * Use dh-autoreconf.
    Stop build-depend (explicitly) on libtool automake autoconf.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Sep 2017 20:49:08 +0200

groestlcoin (2.13.3~dfsg-2) experimental; urgency=medium

  * Fix install icons into correct location.
    Closes: Bug#866977. Thanks to Laurent Bigonville.
  * Stop use or build-depend on dh-exec.
  * Stop build-depend explicitly on recent dpkg-dev: DEB_SUITE resolved
    in cdbs.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Jul 2017 09:13:32 +0200

groestlcoin (2.13.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Repackage upstream tarball, stripping Windows binary, embedded code
    copies, and an unsafe symlink.
  * Update watch file: Set repacksuffix.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Drop patches cheery-picked from Bitcoin: Assumed applied as
    appropriate.
  * Unfuzz and update patches.
  * Add patch 2001 to avoid embedded libraries.
  * Explicitly enable ZeroMQ support.
    Build-depend on libzmq3-dev.
  * Update copyright info:
    + Update upstream project name.
    + Extend coverage for main upstream author.
    + Stop track embedded code copies no longer included.
  * Update copyright check: Generally ignore *.raw files.
  * Build-depend unversioned on cdbs: Required version satisfied even on
    oldstable.
  * Build-depend on libevent-dev.
  * Stop put aside embedded code copies during build: No longer included
    with (our) source.
  * Add patch 1003 to improve manpage generator script.
  * Generate manpages using help2man (except Qt binary failing).
    Build-depend on help2man.
    Declare manpage install discretely (not indirectly in rules file).
  * Update symbols.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jul 2017 12:21:12 +0200

groestlcoin (2.11.0+20160407-5) experimental; urgency=medium

  * Build-depend on libssl1.0-dev (not libssl-dev).
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax build-dependency on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.


