=== debian/control ===
Source: groestlcoin
Section: utils
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 dh-autoreconf,
 debhelper,
 pkg-config,
 autoconf-archive,
 libdb++-dev,
 libleveldb-dev,
 libsecp256k1-dev,
 libunivalue-dev (>= 1.0.4),
 libzmq3-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libprotobuf-dev,
 protobuf-compiler,
 libqrencode-dev,
 libevent-dev,
 bash-completion,
 xvfb <!nocheck>,
 xauth <!nocheck>,
 libboost-system-dev,
# TODO: Drop below Boost libs when (if ever?) system json is used
 libboost-filesystem-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libboost-chrono-dev,
 libssl-dev,
 python3,
Standards-Version: 4.3.0
Homepage: https://www.groestlcoin.org/
Vcs-Git: https://salsa.debian.org/cryptocoin-team/groestlcoin.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/groestlcoin
Rules-Requires-Root: no

Package: groestlcoind
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
 db-util,
Description: peer-to-peer network based digital currency - daemon
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides the daemon, groestlcoind,
 and the CLI tool, groestlcoin-cli, to interact with the daemon.

Package: groestlcoin-qt
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - GUI
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides groestlcoin-Qt, a GUI for groestlcoin based on Qt.

Package: groestlcoin-tx
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
Description: peer-to-peer network based digital currency - transaction tool
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides groestlcoin-tx, a command line tool for creating,
 parsing, or modifying transactions.
