## groestlcoin 2.21.1~dfsg

=== debian/changelog ===
groestlcoin (2.21.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * unfuzz patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 May 2021 20:43:29 +0200

groestlcoin (2.21.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * recommend tor for packages groestlcoind groestcoin-qt
  * unfuzz patches
  * tighten build-dependency on libsecp256k1-dev
  * build-depend on libsqlite3-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jan 2021 00:08:38 +0100

groestlcoin (2.20.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * modernize source script copyright-check
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop patch 2002 obsoleted by upstream removal of BIP 70 support
  * unfuzz patches
  * add patch 2002
    to convert atomic to non-atomic integer for UniValue
    (needed when linking with mainline UniValue);
    closes: bug#956878, thanks to Andreas Beckmann
  * enable all hardening build flags
  * stop ship example files no longer shipped upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 19:18:41 +0100
