=== debian/control ===
--- 
+++ 
@@ -2,36 +2,38 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
+Build-Depends:
+ autoconf-archive,
  autotools-dev,
+ bash-completion,
+ cdbs,
+ debhelper,
  dh-autoreconf,
- debhelper,
- pkg-config,
- autoconf-archive,
+ libboost-chrono-dev,
+ libboost-filesystem-dev,
+ libboost-system-dev,
+ libboost-test-dev,
+ libboost-thread-dev,
  libdb++-dev,
+ libevent-dev,
  libleveldb-dev,
- libsecp256k1-dev,
+ libprotobuf-dev,
+ libqrencode-dev,
+ libsecp256k1-dev (>= 0.1~20201209),
+ libsqlite3-dev,
+ libssl-dev,
  libunivalue-dev (>= 1.0.4),
  libzmq3-dev,
+ pkg-config,
+ protobuf-compiler,
+ python3,
  qtbase5-dev,
  qttools5-dev-tools,
- libprotobuf-dev,
- protobuf-compiler,
- libqrencode-dev,
- libevent-dev,
- bash-completion,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
- xauth <!nocheck>,
- libboost-system-dev,
-# TODO: Drop below Boost libs when (if ever?) system json is used
- libboost-filesystem-dev,
- libboost-thread-dev,
- libboost-test-dev,
- libboost-chrono-dev,
- libssl-dev,
- python3,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.groestlcoin.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/groestlcoin.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/groestlcoin
@@ -39,11 +41,14 @@
 
 Package: groestlcoind
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
  db-util,
+Recommends:
+ tor,
 Description: peer-to-peer network based digital currency - daemon
  Groestlcoin is an experimental new digital currency
  that enables instant payments to anyone,
@@ -67,8 +72,11 @@
 
 Package: groestlcoin-qt
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ tor,
 Description: peer-to-peer network based digital currency - GUI
  Groestlcoin is an experimental new digital currency
  that enables instant payments to anyone,
@@ -91,8 +99,9 @@
 
 Package: groestlcoin-tx
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
 Description: peer-to-peer network based digital currency - transaction tool
