=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 pkg = $(DEB_SOURCE_PACKAGE)
 stem = $(patsubst lib%,%,$(pkg))
@@ -12,7 +14,6 @@
 DEB_BUILD_PARALLEL = 1
 
 DEB_INSTALL_DOCS_ALL += doc/release-notes.md
-DEB_INSTALL_EXAMPLES_$(pkg-daemon) += contrib/debian/examples/*
 
 # work around build failure with gcc 4.7
 #CXXFLAGS += -fpermissive
